// This file is part of ICU4X. For terms of use, please see the file
// called LICENSE at the top level of the ICU4X source tree
// (online at: https://github.com/unicode-org/icu4x/blob/main/LICENSE ).

//! Relative time formatting

#![warn(missing_docs)]

mod error;
mod format;
pub mod options;
pub mod provider;
mod relativetime;

pub use error::RelativeTimeError;
pub use format::FormattedRelativeTime;
pub use options::RelativeTimeFormatterOptions;
pub use relativetime::RelativeTimeFormatter;
#[doc(no_inline)]
pub use RelativeTimeError as Error;
